jvx.loader

## Class PgWrlLoader

- java.lang.Object
- - jv.loader.PgAbstractLoader
  - - jvx.loader.PgWrlLoader

- All Implemented Interfaces:
    PgLoaderIf

      public final class PgWrlLoader
      extends PgAbstractLoader

  Loader for import/export of JavaView geometries in VRML/WRL file format. This reader and writer supports a subset of the WRL commands only.
  Version:
    23.04.10, 3.01 revised (mn) Fix case where no rotation axis is given in wrl file.
    22.03.10, 3.00 revised (kp) Superclass changed to PgAbstractLoader.
    20.10.09, 2.50 revised (kp) Parsing of additional nodes Anchor, Billboard and Collision (partially) implemented.
    29.08.06, 2.40 revised (kp) Bugs in NavigationInfo#avatar and LineSet#colorIndex removed.
    25.04.04, 2.30 revised (kp) Number out of bounds in vertex color computations.
    29.12.03, 2.20 revised (kp) Full support for geometry nodes box, cone, cylinder, elevationGrid etc.
    28.12.03, 2.10 revised (kp) Full support for transform{} node.
    27.12.03, 2.00 revised (kp) Major improvements regarding lighting, texture and appearance.
    23.12.03, 1.90 revised (kp) Now -1 at the end of coordIndex array may be missing.
    06.10.03, 1.85 revised (kp) Interface extended by isEnabledOptimization().
    19.04.03, 1.80 revised (kp) Interface extended by setGeometryOption().
    21.08.02, 1.70 revised (kp) New methods getGeometries/getAnimations of PgLoaderIf implemented.
    23.09.01, 1.60 revised (kp) Implement PgLoaderIf extended with methods for display options.
    11.06.01, 2.50 revised (kp) Implement PgLoaderIf.
    05.05.01, 2.10 revised (kp) Parsing of IndexedLineSet and PointSet added.
    17.03.01, 2.00 revised (kp) Most parsing methods rewritten.
    29.06.00, 1.50 revised (kp) Bug of missing closing bracket removed.
    08.04.00, 1.40 revised (kp) Moved from package jv.viewer to jv.loader.
    07.04.00, 1.30 revised (kp) PgJvxSrc replaced with PgJvxSrc as arguments.

- - ### Field Summary

    - ### Fields inherited from interface jv.loader.PgLoaderIf

      `GEOM_DATA_AUTHOR, GEOM_DATA_COLORS, GEOM_DATA_HEADER, GEOM_DATA_INFO, GEOM_DATA_NORMALS, GEOM_DATA_TEXTURE, GEOM_DATA_VECTORS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgWrlLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PgJvxSrc[]` | `read(java.io.BufferedReader in)` Read a WRL geometry file and return an array of new geometries.
    `boolean` | `write(java.io.Writer writer, PgJvxSrc[] geomArr)` Write an array of geometries into an output stream writer.

    - ### Methods inherited from class jv.loader.PgAbstractLoader

      `getAnimations, getDisplayOption, getGeometries, getSpecializedGeometries, isAnimation, isEnabledOptimization, load, read, setAnimation, setDisplayOption, setGeometryOption, write`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PgWrlLoader

          public PgWrlLoader()

  - ### Method Detail

    - #### read

          public PgJvxSrc[] read(java.io.BufferedReader in)

      Read a WRL geometry file and return an array of new geometries.

      The returned array of geometry may contain keyframes of an animation. This is checked with the method `isAnimation()`.

      Alternatively, one may call load(BuffereredReader) followed by getGeometries() resp. getAnimations() to have a finer control about which information one wants to use from a source. For example, optional display information must be retrieve by a subsequent call getDisplayOption() if available.

      Specified by:
        `read` in interface `PgLoaderIf`
      Overrides:
        `read` in class `PgAbstractLoader`
      Parameters:
        `in` - BufferedReader to read textual data from.
      Returns:
        Array of JVX geometries.
      See Also:
        `write(Writer, PgJvxSrc [])`
      Author:
        Konrad Polthier
      Version:
        08.12.00, 1.10 revised (kp)
        08.12.00, 1.00 created (kp)

    - #### write

          public boolean write(java.io.Writer writer,
                               PgJvxSrc[] geomArr)
                        throws java.io.IOException

      Write an array of geometries into an output stream writer.
      Specified by:
        `write` in interface `PgLoaderIf`
      Overrides:
        `write` in class `PgAbstractLoader`
      Parameters:
        `writer` - Write all data to this stream
        `geomArr` - Array with geometries to save
      Returns:
        `true` on success.
      Throws:
        `java.io.IOException`
      See Also:
        `read(BufferedReader)`
      Version:
        10.06.01, 1.00 revised (kp)
        10.06.01, 1.00 created (kp)

"

The software JavaView? is copyright protected. All Rights Reserved.
"